Package com.pixelmed.utils

## Class PrintStreamMessageLogger

- java.lang.Object
- - com.pixelmed.utils.PrintStreamMessageLogger

- All Implemented Interfaces:
    `MessageLogger`

      public class PrintStreamMessageLogger
      extends java.lang.Object
      implements MessageLogger

  A class to write log and status messages to a `PrintStream` such as `System.err`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.io.PrintStream` | `printStream` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrintStreamMessageLogger​(java.io.PrintStream printStream)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `send​(java.lang.String message)` | Append the supplied text to the log.
    `void` | `sendLn​(java.lang.String message)` | Append the supplied text to the log, followed by a new line.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### printStream

          protected java.io.PrintStream printStream

  - ### Constructor Detail

    - #### PrintStreamMessageLogger

          public PrintStreamMessageLogger​(java.io.PrintStream printStream)

  - ### Method Detail

    - #### send

          public void send​(java.lang.String message)

      Description copied from interface: `MessageLogger`

      Append the supplied text to the log.

      Specified by:
        `send` in interface `MessageLogger`
      Parameters:
        `message` - the (possibly multi-line) text to append to the log

    - #### sendLn

          public void sendLn​(java.lang.String message)

      Description copied from interface: `MessageLogger`

      Append the supplied text to the log, followed by a new line.

      Specified by:
        `sendLn` in interface `MessageLogger`
      Parameters:
        `message` - the (possibly multi-line) text to append to the log